summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMartin Blanchard <tchaik@gmx.com>2019-02-17 17:18:13 +0000
committerPeng Wu <alexepico@gmail.com>2019-02-18 11:59:36 +0800
commit01790e725a92457cfaa2ef95f2687dafbbfeae56 (patch)
tree954dc16741d3b50ffd32b16c762139d71a17cc1f
parentc105c68309d7607a82b29c79b6bbeeb98ef4b3b2 (diff)
downloadlibpinyin-01790e725a92457cfaa2ef95f2687dafbbfeae56.tar.gz
libpinyin-01790e725a92457cfaa2ef95f2687dafbbfeae56.tar.xz
libpinyin-01790e725a92457cfaa2ef95f2687dafbbfeae56.zip
prefer autoreconf over gnome-common
The gnome-common package is deprecated: https://wiki.gnome.org/Projects/GnomeCommon/Migration
-rwxr-xr-xautogen.sh42
1 files changed, 31 insertions, 11 deletions
diff --git a/autogen.sh b/autogen.sh
index 0eb6f85..7d7ce22 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,30 +1,50 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
+test -n "$srcdir" || srcdir=$(dirname "$0")
+test -n "$srcdir" || srcdir=.
+
+olddir=$(pwd)
+
+cd "$srcdir"
PKG_NAME="libpinyin"
-(test -f $srcdir/configure.ac \
- && test -f $srcdir/README ) || {
+(test -f configure.ac && test -f README ) || {
echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
echo " top-level $PKG_NAME directory"
exit 1
}
-which gnome-autogen.sh || {
- echo "You need to install gnome-common from the GNOME CVS"
- exit 1
-}
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+ echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
+ echo "*** If you wish to pass any to it, please specify them on the" >&2
+ echo "*** '$0' command line." >&2
+ echo "" >&2
+fi
+
+autoreconf --verbose --force --install || exit 1
-(test -f $srcdir/ChangeLog) || {
- touch $srcdir/ChangeLog
+(test -f ChangeLog) || {
+ touch ChangeLog
}
+cd "$olddir"
+
CFLAGS=${CFLAGS-"-Wall -Werror"}
ACLOCAL_FLAGS="$ACLOCAL_FLAGS"
REQUIRED_AUTOMAKE_VERSION=1.8
-. gnome-autogen.sh "$@"
+cd "$olddir"
+if [ "$NOCONFIGURE" = "" ]; then
+ $srcdir/configure "$@" || exit 1
+
+ if [ "$1" = "--help" ]; then
+ exit 0
+ else
+ echo "Now type 'make' to compile $PKG_NAME" || exit 1
+ fi
+else
+ echo "Skipping configure process."
+fi